%define pre     %nil
%define version 0.9.1
%define release 2mdk

Summary:	Lynx-like text WWW browser
Name:		elinks
Version:	%{version}
Release:        %{release}
License:	GPL
Group:		Networking/WWW
#need to use or will build with epoch 99
Epoch:		0

URL: http://elinks.or.cz/
Source0: http://elinks.or.cz/download/elinks-%{version}.tar.bz2
Source1: elinks.conf

BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	samba-client
Provides:	webclient links
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
ELinks is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- HTTP authentification


%prep
%setup -q
gzip -9 ChangeLog

%build
%configure \
	--without-lua \
	--without-gnutls \
	--enable-ssl

%make
 
%post
update-alternatives --install /usr/bin/links links /usr/bin/elinks 5
#update_menus
echo Note
echo If you are updating from a previous version, please see INSTALL
echo for guide to changes

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/elinks
fi
#clean_menus

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
#mkdir -p %{buildroot}%{_menudir}
#cat > %{buildroot}%{_menudir}/%{name} << EOF
#?package(%{name}):\
#command="%{name}"\
#title="Elinks"\
#longtitle="Lynx-like text WWW browser"\
#needs="text"\
#icon="networking_www_section.png"\
#section="Internet/Web browsers"
#EOF


##add more docs
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}/Unicode
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}/contrib
install -m 644 doc/*.txt doc/*.texi doc/*.html $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}
install -m 644 Unicode/README $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}/Unicode
install -m 644 contrib/README $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}/contrib

#rm invalid-lc-messages-dir
rm -rfd $RPM_BUILD_ROOT/%{_datadir}/locale/leet
rm -f $RPM_BUILD_ROOT/%{_datadir}/locale/locale.alias

%find_lang %{name}

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/elinks/elinks.conf
 
%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog.gz README SITES THANKS TODO 
%doc %{_datadir}/doc/%{name}
%config(noreplace) %{_sysconfdir}/elinks
%{_bindir}/*
%{_mandir}/*/*
#{_menudir}/*

%changelog
* Mon Feb 09 2004 Abel Cheung <deaddog@deaddog.org> 0.9.1-2mdk
- Remove files provided by glibc
- BuildRequires smbclient (for smb:// support)
- Remove menu entry (people won't expect text mode browsers appear in menu)

* Sat Jan 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.1-1mdk
- 0.9.1 final
- add menu entry

* Sat Jan 17 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.1-rc2.1mdk
- 0.9.1rc2

* Fri Dec 26 2003 Charles A Edwards <eslrahc@mandrake.org> 0.9.0-1mdk
- 0.9.0
- enable nls and ssl
- po files now included
- add docs

* Thu Nov 27 2003 Pixel <pixel@mandrakesoft.com> 0.4.3-1mdk
- new release

* Sun Jan 26 2003 Pixel <pixel@mandrakesoft.com> 0.4.2-1mdk
- new release

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-2mdk
- link with latest libopenssl

* Wed Jan  1 2003 Pixel <pixel@mandrakesoft.com> 0.4.1-1mdk
- new release

* Sat Dec 28 2002 Pixel <pixel@mandrakesoft.com> 0.4.0-1mdk
- new release

* Fri Dec 13 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre25.1mdk
- new release

* Mon Dec  9 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre24.1mdk
- new release

* Sat Dec  7 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre23.1mdk
- new release

* Mon Dec  2 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre21.1mdk
- new release

* Tue Oct  8 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre17.1mdk
- new release

* Thu Aug 29 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre15.1mdk
- new release

* Sun Aug 11 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre14.1mdk
- new release

* Wed Aug  7 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre13.1mdk
- new release
- don't build with lua

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre12.1mdk
- new release

* Sat Jul  6 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre11.1mdk
- add "Provides: links"
- add alternative on /usr/bin/links
- new release

* Thu Jul  4 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre10.2mdk
- add "HTTP authentification" in %%description 

* Thu Jul  4 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre10.1mdk
- initial spec (based on links)
